/* Project : TBK-Foundation Page
   Author: JohnnyCeL
   Created: 7 Nov 2020
   Description: Master CSS file
*/

/*****************************************

/*****************************************
Table Of Contents:

01 ) General Style
02 ) Title Section (Section 1)
03 ) Temple Intro Section
04 ) Section 1
05 ) Section 2
06 ) Section 3
07 ) Section 4
08 ) Section 5
******************************************/

/******************************/
/*     01. General Styles     */
/******************************/
body,
html {
    width: 100%;
	height: 100%;
}

body {
    background-image: url('../images/bg_body_main.png');
    margin:0px;
	padding: 0px;
	background-color: #ffffff;
	background-size: 100vw 100vw;
	background-position: center center;
	background-repeat: repeat-y;
}

body a {
    color: inherit; /* blue colors for links too */
    text-decoration: none; /* no underline */
    
  }

body a:hover {
    color: black;
    text-decoration: none; /* no underline */
}

.text-adjustment {
    text-align: left !important;
}

.en-font {
    font-family: Helvetica, sans-serif !important;
}

.en-sub-title-font {
    text-align: center;
    font-size: 2.5vw;
}

.en-para-font {
    display: flex;
    justify-content: center;
    font-size: 1.5vw;
}

/*************************************/
/*     02. Page Title Section       */
/***********************************/

.page-title {
    margin-top: 1%;
    margin-left: 0.02%;
}


    .page-title .page-title-text {
        font-size: 2.2vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }

    .page-title .page-title-font-specific-color-text {
        color: darkblue;
        font-size: 2.2vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }

    .page-title .page-title-text-en {
        font-size: 1.5vw !important;
        /*font-family: dahei3;*/
    }

    .page-title .page-title-font-specific-color-text-en {
        color: darkblue !important;
        font-size: 1.5vw !important;
        /*font-family: dahei3;*/
    }

@media only screen and (max-width: 600px) {
    .page-title .page-title-text {
        font-size: 3vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }
}

@media only screen and (max-width: 600px) {
    .page-title .page-title-font-specific-color-text {
        color: darkblue;
        font-size: 3vw;
        /*font-family: dahei3;*/
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    }
}



/*************************************/
/*     03. Temple Intro Section      */
/***********************************/

.temple-intro-section {
    margin-bottom: 2%;
}

.temple-intro-paragraph {
    margin-bottom: 2%;
}

.temple-intro-section .temple-intro-image {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

.temple-intro-paragraph-text-sub-title {
    text-align: center;
    font-size: 3vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

.temple-intro-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

@media only screen and (max-width: 600px) {
    .temple-intro-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }

}

@media only screen and (max-width: 600px) {
    .temple-intro-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          03. Section 1           */
/***********************************/

.section-1 {
    margin-bottom: 2%;
}

.section-1-paragraph {
    margin-bottom: 2%;
}


.section-1 .image-1-section1 {
    display: block;
    margin-left: auto;
    width: 60%;
    height: 100%;
}

.section-1 .image-2-section1 {
    display: block;
    margin-right: auto;
    width: 60%;
    height: 100%;
}

.section-1-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

@media only screen and (max-width: 600px) {
    .section-1-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

@media only screen and (max-width: 600px) {
    .section-1-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          04. Section 2           */
/***********************************/

.section-2 {
    margin-bottom: 2%;
}

.section-2-paragraph {
    margin-bottom: 2%;
}

.section-2 .image-1-section2 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

.section-2-paragraph-text-sub-title {
    text-align: center;
    font-size: 3vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

.section-2-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

@media only screen and (max-width: 600px) {
    .section-2-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

@media only screen and (max-width: 600px) {
    .section-2-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          05. Section 3           */
/***********************************/

.section-3 {
    margin-bottom: 2%;
}

.section-3-paragraph {
    margin-bottom: 2%;
}

.section-3 .image-1-section3 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

.section-3-paragraph-text-sub-title {
    text-align: center;
    font-size: 3vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

.section-3-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

@media only screen and (max-width: 600px) {
    .section-3-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

@media only screen and (max-width: 600px) {
    .section-3-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          06. Section 4           */
/***********************************/

.section-4 {
    margin-bottom: 2%;
}

.section-4-paragraph {
    margin-bottom: 2%;
}

.section-4 .image-1-section4 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

.section-4-paragraph-text-sub-title {
    text-align: center;
    font-size: 3vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

.section-4-paragraph-text {
    display: flex;
    justify-content: center;
    font-size: 2.2vw;
    font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
    margin-bottom: 1.5%;
}

@media only screen and (max-width: 600px) {
    .section-4-paragraph-text-sub-title {
        text-align: center;
        font-size: 4.2vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

@media only screen and (max-width: 600px) {
    .section-4-paragraph-text {
        display: flex;
        justify-content: center;
        font-size: 3vw;
        font-family: Georgia, "Times New Roman", "KaiTi", "??", STKaiti, "????", serif;
        margin-bottom: 1.5%;
    }
}

/*************************************/
/*          06. Section 5           */
/***********************************/

.section-5 {
    margin-bottom: 2%;
}

.section-5-paragraph {
    margin-bottom: 5%;
}

.section-5 .image-1-section5 {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: 3%;
    width: 62%;
}

/* Bottom Spacing */

.bottom-spacing {
    padding-bottom: 3%;
}
